/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package net.jazz.rtcext.workitem.extensions.common;

/**
 * Constants for the build on state change operation participant.
 */
public interface IBuildOnStateChangeDefinitions {
	/**
	 * The extension id is used to identify the operation participant to Jazz.
	 * It is also included in instantiations of the participant in process
	 * definitions.
	 */
	public static String EXTENSION_ID = "net.jazz.rtcext.workitem.extensions.service.buildOnStateChange"; //$NON-NLS-1$

	/*
	 * The following constants are element and attribute names used in project
	 * and team area process specifications as part of operation participant
	 * configurations.
	 */

	// <trigger>
	// <changed-workitem-type id="workitem.type.id"/>
	// <trigger-state id="trigger.state.id"/>
	// </trigger>
	public static final String ID = "id"; //$NON-NLS-1$
	public static final String TAG_TRIGGER = "trigger"; //$NON-NLS-1$
	public static final String TAG_CHANGED_WORKITEM_TYPE = "changed-workitem-type"; //$NON-NLS-1$
	public static final String TAG_TRIGGER_STATE_ID = "trigger-state"; //$NON-NLS-1$

	// <build>
	// <build-definition id="build.definition.id"/>
	// </build>
	public static final String TAG_BUILD = "build"; //$NON-NLS-1$
	public static final String TAG_BUILD_DEFINITION = "build-definition"; //$NON-NLS-1$

	/**
	 * The empty id is used to set or compare for empty ids in process
	 * configurations.
	 */
	public static String EMPTY_ID = "";

}
